#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 957 $
$LastChangedDate:: 2019-06-13 13:25:47 +0200#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from lcm.tdata_interface.pyjavadata_interface import PyJavaDataInterface


class PyTNullInterface(PyJavaDataInterface):
    """Java TNull conversion

    Java            | Python
    -------------------------
    TNull           | None

    """

    @staticmethod
    def convert_J2Py(jobj):
        """
        Return a Python object of type "NoneType"
        equivalent to given Java object of type "TNull"
        """

        pyobj = None

        return pyobj

    @staticmethod
    def convert_Py2J(pyobj):
        """
        Return a Java object of type "TNull"
        equivalent to given python object of type "NoneType"
        """
        # noinspection PyUnresolvedReferences
        from at.lcm.bu21.general.dtypes import TNull
        jobj = TNull()

        return jobj


if __name__ == "__main__":
    # noinspection PyUnresolvedReferences
    from at.lcm.bu21.general.dtypes import TNull
    from lcm.tdata_interface.pyjdata_interface import PyJDataInterface

    tmp_jobj = TNull()
    tmp_pyobj = PyJDataInterface.convert_J2Py(tmp_jobj)
    print('java:' + str(tmp_jobj))
    print('python:' + str(tmp_pyobj))
    print('python type:' + str(type(tmp_pyobj)))
