"""
Created on 22.09.2016 13:40

@author: kkaspar
"""


def check_int_input(func):
    """
    Decorator that checks if the input object is of type integer

    Parameters
    ----------
    func

    Returns
    -------

    """
    from ..common_fnc import get_integer_input

    def function_wrapper(self, var):
        var = get_integer_input(var, func.__name__)
        return func(self, var)

    return function_wrapper


def check_float_input(func):
    """
    Decorator that checks if the input object is of type float

    Parameters
    ----------
    func

    Returns
    -------

    """
    from ..common_fnc import get_float_input

    def function_wrapper(self, var):
        var = get_float_input(var, func.__name__)
        return func(self, var)

    return function_wrapper


def check_bool_input(func):
    """
    Decorator that checks if the input object is of type bool

    Parameters
    ----------
    func

    Returns
    -------

    """

    from ..common_fnc import get_bool_input

    def function_wrapper(self, var):
        var = get_bool_input(var, func.__name__)
        return func(self, var)

    return function_wrapper


def check_string_input(func):
    """
    Decorator that checks if the input object is of type string

    Parameters
    ----------
    func

    Returns
    -------

    """
    from ..common_fnc import get_string_input

    def function_wrapper(self, var):
        var = get_string_input(var, func.__name__)
        return func(self, var)

    return function_wrapper


def check_ndarray_input(func):
    """
    Decorator that checks if the input object is of type numpy.ndarray

    Parameters
    ----------
    func

    Returns
    -------

    """
    from ..common_fnc import get_ndarray_input

    def function_wrapper(self, var):
        var = get_ndarray_input(var, func.__name__)
        return func(self, var)

    return function_wrapper