/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.views.tree;

import java.awt.Color;
import java.awt.Component;
import java.util.EventObject;

import javax.swing.BorderFactory;
import javax.swing.DefaultCellEditor;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.border.Border;

/**
 * 
 * @author Markus Priglinger
 *
 */
public class ProTableCellEditor extends DefaultCellEditor {

	/**
	 * 
	 */
	private static final long serialVersionUID = 197007201308191L;

	public ProTableCellEditor() {

		super(new JTextField());

		this.setClickCountToStart(0);
	}

	@Override
	public Component getTableCellEditorComponent(JTable table, Object value,
			boolean isSelected, int row, int column) {

		Component c;
		c = super.getTableCellEditorComponent(table, value, isSelected, row,
				column);

		Object obj = table.getModel().getValueAt(row, 1);
		Border border = null;

		if (obj == null) {
			((JTextField) c).setBackground(new Color(220, 255, 220));
			border = BorderFactory.createEmptyBorder();
		}

		if (obj != null) {

			((JTextField) c).selectAll();
			((JTextField) c).setBackground(Color.WHITE);
			border = BorderFactory.createLineBorder(Color.BLACK, 2);
		}

		((JTextField) c).setBorder(border);

		return c;
	}

	@Override
	public boolean isCellEditable(EventObject anEvent) {

		return true;
	}
}
