/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.view;

import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

import at.lcm.bu21.magopt.structure.IParamJavaFunction;
import at.lcm.bu21.magopt.structure.ParamJavaFunction;

public class JavaPreviewView extends ParamBaseNoScroll {

	private IParamJavaFunction mPJavaFunction;

	private JPanel mainPane;

	public JavaPreviewView() {

		this.mainPane = new JPanel();
		this.setLayout(new BorderLayout());
		this.add(this.mainPane);

		this.mainPane.setLayout(new BorderLayout());
	}

	public void setJavaFunction(IParamJavaFunction pJavaFunction) {
		this.mPJavaFunction = pJavaFunction;
		this.update();
	}

	@Override
	protected void update() {
		this.mainPane.removeAll();
		if (this.mPJavaFunction != null) {
			try {
				if (this.mPJavaFunction.hasPreview()) {
					// FIXME RMI
					((ParamJavaFunction) this.mPJavaFunction).preview(this.mainPane);
				} else {
					JLabel label = new JLabel("no preview");
					label.setHorizontalAlignment(SwingConstants.CENTER);
					label.setFont(label.getFont().deriveFont(36f));
					this.mainPane.add(label);
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}
}
