/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.view.pubinterface;

import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

import at.lcm.bu21.magopt.structure.Parameter;
import at.lcm.bu21.magopt.structure.Parameter.ParameterPath;

/**
 * Public-interface renderer for ParamContainer type
 * 
 * @author Werner Koppelsttter
 */
public class PubInterfaceRenderer extends DefaultTableCellRenderer {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {
		ParameterPath path;
		Parameter param;
		String str = null;

		super.getTableCellRendererComponent(table, value, isSelected, hasFocus,
				row, column);

		str = (String) table.getModel().getValueAt(row,
				PubInterfaceColumn.NAME.getValue());
		path = (ParameterPath) table.getModel().getValueAt(row, -1);
		if (path != null) {
			param = path.getParameter();
			if (param != null) {
				str += " = " + param.getIdentifier();
			}
		}
		this.setToolTipText(str);

		return this;
	}
}
