/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 247 $
 * $Date: 2020-03-19 10:13:52 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.optim.core.mapping.utils.dstructures;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class TIndividualInfo implements Serializable {

	private static final long serialVersionUID = -0200000000000000313L;

	private Map<String, Double> resValues = new HashMap<String, Double>();
	private Map<String, Double> varValues = new HashMap<String, Double>();

	public Double getResValue(String resName) {
		return this.resValues.get(resName);
	}

	public Double getVarValue(String varName) {
		return this.varValues.get(varName);
	}

	public void setResValue(String resName, Double resValue) {
		this.resValues.put(resName, resValue);
	}

	public void setVarValue(String varName, Double varValue) {
		this.varValues.put(varName, varValue);
	}

}
